aboutsummaryrefslogtreecommitdiff
path: root/test/urxvt
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:03:37 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:03:37 +1200
commit64020bea700cd600d899a4e584419f98adcb9a4d (patch)
treec482b2df718826cf3b84cac8ca3ade7bb16b9855 /test/urxvt
parentSlightly nicer text syntax (diff)
downloaddotfiles-64020bea700cd600d899a4e584419f98adcb9a4d.tar.gz
dotfiles-64020bea700cd600d899a4e584419f98adcb9a4d.zip
Fix up exit values and glob checks
Diffstat (limited to 'test/urxvt')
-rwxr-xr-xtest/urxvt3
1 files changed, 2 insertions, 1 deletions
diff --git a/test/urxvt b/test/urxvt
index 90a298d7..71970b8f 100755
--- a/test/urxvt
+++ b/test/urxvt
@@ -1,5 +1,6 @@
#!/bin/sh
for perl in urxvt/ext/* ; do
- perl -c "$perl" >/dev/null || exit 1
+ [ -e "$perl" ] || continue
+ perl -c "$perl" >/dev/null || exit
done
printf 'All Perl scripts in urxvt/ext parsed successfully.\n'